<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePhotosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('photos', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('image');
            $table->boolean('enable')->default(true);
            $table->timestamps();
        });

        DB::table('photos')->insert(['name' => 'Luan Santana', 'image' => 'storage/img/photos/651231651232119478.jpg', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('photos')->insert(['name' => 'Gustavo Lima', 'image' => 'storage/img/photos/164673654894634456815665154.jpg', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('photos')->insert(['name' => 'Zé Neto e Cristiano', 'image' => 'storage/img/photos/23842344231322342316531.jpg', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('photos')->insert(['name' => 'Marilha Mendonça', 'image' => 'storage/img/photos/49847456574546571451.jpg', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('photos')->insert(['name' => 'Gustavo Lima', 'image' => 'storage/img/photos/86951786591678519678519657.jpg', 'created_at' => now(), 'updated_at' => now()]);
        DB::table('photos')->insert(['name' => 'Bruno e Marrone', 'image' => 'storage/img/photos/6165132198798498498.jpg', 'created_at' => now(), 'updated_at' => now()]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('photos');
    }
}
